/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package worlds3dclient;

/**
 *
 * @author eduseiti
 */
public class Creature {
    
    private static final float RADIUS_CONVERTION_RATE = 0.0174f;
    
    private float pitch = 0;
    
    private int fuel;
    
    private int ID;
    
    private float x, y;
    
    private float linearSpeed;
    
    private String name = null;
    
    
    Creature () {
        ID = -1;
        x = 100;
        y = 100;
    }
    
    public float getPitch() {
        return pitch;
    }
    
    public void setID(int whichID) {
        ID = whichID;
    }
    
    
    public int getID() {
        return ID;
    }
    
    
    public float getX() {
        return x;
   //     return String.format("%.6f", x);
    }
    
    public float getY() {
        return y;
  //      return String.format("%.6f", x);
    }
    
    public float getLinearSpeed() {
        return linearSpeed;
    }
    
    
    public void updateStatus (String statusInfo) {
       String[] parsedInfo = statusInfo.split(" ");
       
       if(name == null) {
           name = parsedInfo[0];
       }
       
       x = Float.valueOf(parsedInfo[1]);
       y = Float.valueOf(parsedInfo[2]);
       
       pitch = Float.valueOf(parsedInfo[4]) * RADIUS_CONVERTION_RATE;
       
       linearSpeed = Float.valueOf(parsedInfo[7]);
       
       fuel = Integer.valueOf(parsedInfo[8]);
    }
}
